package com.malk.lemeng.schedule;

import com.malk.lemeng.service.LMService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @EnableScheduling 开启定时任务 [配置参考McScheduleTask]
 */
@Slf4j
@Configuration
@EnableScheduling
@ConditionalOnProperty(name = {"spel.scheduling"})
public class LMScheduleTask {

    @Autowired
    private LMService lmService;

    /**
     * 每天凌晨4点同步
     */
    @Scheduled(cron = "0 0 3 * * ? ")
    public void syncDingTalkFailedList() {
        try {
            lmService.syncRoster();
        } catch (Exception e) {
            // 记录错误信息
            e.printStackTrace();
        }
    }
}